package com.liang.service;

import com.liang.entity.BasePerson;
import com.liang.entity.SysLsUserEntity;
import com.liang.entity.baobiao.StaTempMemberDtile;

import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2024/4/3 9:24
 * @Version 1.0
 */
public interface LsUserService {
     int batchDelete(List<Integer> idList);

    /**
     * @return
     * 获取全部临时人员信息
     */


    /**
     * @param sysLsUserEntity
     * @return
     * 保存人员信息
     */
    Integer saveOperLog(SysLsUserEntity sysLsUserEntity);


    /**
     * 删除临时人员信息
     * @param id
     * @return
     */
    boolean deleteUser(Integer id);

    /**
     * 更新数据
     * @param sysLsUserEntity
     * @return
     */
    boolean upDate(SysLsUserEntity sysLsUserEntity);

    List<SysLsUserEntity> UserAll(Map map);


    SysLsUserEntity getUserId(Integer ID);


    List<SysLsUserEntity> getUserxm (Map map);


    List<SysLsUserEntity> getZb(Integer zb);
    boolean jy(String sfzh);


    int insert(StaTempMemberDtile staTempMemberDtile);

    int upSt(Map map);
}
